Getting started
List deployments
Read deployment history, revisions, timing and available failure diagnoses. Follow nextCursor for another page.
GET
/api/customer/v1/projects/{projectId}/deploymentsPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
Query parameters
| Name | Type | Required | Limits |
|---|---|---|---|
cursor | string | No | See schema |
limit | integer | No | Minimum 1; Maximum 100 |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/deployments" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"deployments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"status": {
"type": "string"
},
"trigger": {
"type": "string"
},
"commitSha": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"commitMessage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"branch": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"startedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"finishedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"durationSeconds": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"status"
],
"additionalProperties": true
}
},
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"deployments"
],
"additionalProperties": true
}See errors and retries for failure responses.